local CBFP_oldUAL0303 = UAL0303

UAL0303 = Class(CBFP_oldUAL0303) {    

    # added by brute51 - Shield fix. when the shield is online the unit now becomes invulnerable [107]
    # original idea (making the unit invulnerable) by deadMG and Ze_PilOt. Heavily modified to incorporate events
    # and use less computer resources by brute51.

    OnShieldIsUp = function (self)
        self:SetCanTakeDamage(false)
        CBFP_oldUAL0303.OnShieldIsUp(self)
    end,

    OnShieldIsDown = function (self)
        self:SetCanTakeDamage(true) 
        CBFP_oldUAL0303.OnShieldIsDown(self)
    end,
}

TypeClass = UAL0303  